Subject: bug#58159: [PATCH] Add support for the Wancho script

From: Richard Stallman <[email-masked]>
Date: Fri, 14 Oct 2022 17:24:48 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Can you elaborate on what changes are needed in which manual?

I don't know, but normally every new addition calls for documentation
somewhere.

  > This is what a typical patch for adding a script in Emacs looks like:
  > 1. A one line entry in etc/NEWS announcing the support of the script and
  > its language environment.
  > 2. A one line greeting in the language/script which is added in etc/HELLO
  > (optional)
  > 3. A one line entry in script-representative-chars in
  > lisp/international/fontset.el so that Emacs can select an appropriate font
  > for it.
  > 4. Adding the script name in setup-default-fontset in
  > lisp/international/fontset.el
  > 5. Defining a language environment for the script in the lisp/language/*.el
  > files which includes the following entries:
  > its charset (usually unicode), its coding-system (usually utf-8), its
  > coding-priority (usually utf-8), its input-method, its sample text (the
  > same text which is added in etc/HELLO),
  > a one line documentation usually in the following template: "foo language
  > and its script bar are supported in this language environment."
  > 6. Adding composition rules for the script (optional, only needed for
  > complex scripts)
  > 7. Adding an input-method for the script in lisp/leim/quail/*.el files

That looks like nontrivial work to add each script.
Not a big job, but not minimal either.

For a script that users actually want, it is work worth doing.
For a script that we support only because some bureaucrats
decided to include it in Unicode, is it worth that much?

  > These scripts were not developed for "PR motives", they were developed to
  > serve the needs of the community.

What I've read suggests the opposite.  I am not convinced that the
community experienced or experiences such linguistic "needs".  It
looks like some activists in that community decided that using their
own script would help them get political benefits, so they push for
its adoption.

What we know about this is sketchy.  (I could see only fragments of
the article you pointed at -- I suspect nonfree JS blocks the rest.)

If the speakers of a language are really using a script, I am in favor
of supporting it.

  > It is necessary for Unicode to support them because this is not the age of
  > pen and paper where the only thing limiting you to write any script for
  > communication is... you.

I don't subscribe to the idea that we Emacs developers _must_ support
every script that a minority of some speecdh community campaigns to
switch to.  That is dogmatic, and it could impose an unlimited burden
on us.  If every endangered language gets its own script, that could
be almost 200 more scripts coming from India alone.

I am in favor of preserving endangered languages, but that doesn't
usually require inventing a new script for each one.  For instance,
speakers of 22 Maya languages got together and established a rather
natural convention for writing them in the Latin alphabet.  The
convention states how to express each sound used in any of those
languages.  You can find it in Maya Languages in Wikipedia.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)